var http = require("http");
var config = require("./lib/config.js");
var router = require("./lib/router.js");
var cache = require("./lib/cache.js");
var maintain = require("./lib/maintain.js");
var log = require("./lib/log.js");


// first we load the config...
log.info("Loading configuration");
config.loadConfig("./repos.conf");

// start the maintenance timer
log.info("Starting cache maintenance timer");
maintain.startTimer();

// next we start our main request loop
http.createServer(router.routeRequest).listen(global.repoproxy.listenPort);
